Loading...
Searching...
No Matches
pappso::GrpProtein Class Reference

`#include <grpprotein.h>`

## Public Types

typedef std::vector< GrpPeptide * >::const_iterator | const_iterator

## Public Member Functions

| GrpProtein (const GrpProtein &other)
| ~GrpProtein ()
void | push_back (GrpPeptide *p_grpPeptide)
bool | operator== (const GrpProtein &other) const
const QString & | getAccession () const
const QString & | getDescription () const
const QString | getGroupingId () const
const_iterator | begin () const
const_iterator | end () const
void | setRank (unsigned int i)
void | setGroupNumber (unsigned int i)
void | setSubGroupNumber (unsigned int i)
unsigned int | getGroupNumber () const
unsigned int | getSubGroupNumber () const
unsigned int | getRank () const
unsigned int | getCount () const

## Protected Member Functions

| GrpProtein (const QString &accession, const QString &description)
void | countPlus ()
void | strip ()
| ensure that each peptide in peptide list is unique and sorted by pointer adress

## Protected Attributes

std::vector< GrpPeptide * > | m_grpPeptidePtrList

## Private Attributes

const QString | m_accession
const QString | m_description
unsigned int | m_groupNumber = 0
unsigned int | m_subGroupNumber = 0
unsigned int | m_rank = 0
unsigned int | m_count = 0

## Friends

class | GrpExperiment

## Detailed Description

Definition at line 39 of file grpprotein.h.

## Member Typedef Documentation

## const_iterator

typedef std::vector<GrpPeptide*>::const_iterator pappso::GrpProtein::const_iterator

Definition at line 54 of file grpprotein.h.

## Constructor & Destructor Documentation

## GrpProtein() [1/2]

GrpProtein::GrpProtein | ( | const GrpProtein & | other | ) |

Definition at line 39 of file grpprotein.cpp.

: m_grpPeptidePtrList(other.m_grpPeptidePtrList),
m_accession(other.m_accession),
m_description(other.m_description)
{
m_groupNumber = other.m_groupNumber;
m_subGroupNumber = other.m_subGroupNumber;
m_rank = other.m_rank;
m_count = other.m_count;
}
pappso::GrpProtein::m_accession
const QString m_accession
Definition grpprotein.h:80
pappso::GrpProtein::m_description
const QString m_description
Definition grpprotein.h:81
pappso::GrpProtein::m_rank
unsigned int m_rank
Definition grpprotein.h:84
pappso::GrpProtein::m_grpPeptidePtrList
std::vector< GrpPeptide * > m_grpPeptidePtrList
Definition grpprotein.h:77
pappso::GrpProtein::m_groupNumber
unsigned int m_groupNumber
Definition grpprotein.h:82
pappso::GrpProtein::m_subGroupNumber
unsigned int m_subGroupNumber
Definition grpprotein.h:83
pappso::GrpProtein::m_count
unsigned int m_count
Definition grpprotein.h:85

References m_count, m_groupNumber, m_rank, and m_subGroupNumber.

## ~GrpProtein()

GrpProtein::~GrpProtein | ( |  | ) |

Definition at line 52 of file grpprotein.cpp.

{
}

## GrpProtein() [2/2]

GrpProtein::GrpProtein | ( | const QString & | accession,
|  | const QString & | description
| ) |  |

protected

Definition at line 33 of file grpprotein.cpp.

: m_accession(accession.simplified()), m_description(description.simplified())
{
}

## Member Function Documentation

## begin()

GrpProtein::const_iterator GrpProtein::begin | ( |  | ) | const

Definition at line 57 of file grpprotein.cpp.

{
return m_grpPeptidePtrList.begin();
}

References m_grpPeptidePtrList.

Referenced by pappso::GrpPeptideSet::GrpPeptideSet().

## countPlus()

void GrpProtein::countPlus | ( |  | ) |

protected

Definition at line 73 of file grpprotein.cpp.

{
m_count++;
}

References m_count.

## end()

GrpProtein::const_iterator GrpProtein::end | ( |  | ) | const

Definition at line 62 of file grpprotein.cpp.

{
return m_grpPeptidePtrList.end();
}

References m_grpPeptidePtrList.

Referenced by pappso::GrpPeptideSet::GrpPeptideSet().

## getAccession()

const QString & GrpProtein::getAccession | ( |  | ) | const

Definition at line 119 of file grpprotein.cpp.

{
return m_accession;
}

References m_accession.

## getCount()

unsigned int GrpProtein::getCount | ( |  | ) | const

Definition at line 68 of file grpprotein.cpp.

{
return m_count;
}

References m_count.

## getDescription()

const QString & GrpProtein::getDescription | ( |  | ) | const

Definition at line 124 of file grpprotein.cpp.

{
return m_description;
}

References m_description.

## getGroupingId()

const QString GrpProtein::getGroupingId | ( |  | ) | const

Definition at line 100 of file grpprotein.cpp.

{
if(m_groupNumber == 0)
{
return "";
}
return QString("%1.%2.%3")
.arg(Utils::getLexicalOrderedString(m_groupNumber))
.arg(Utils::getLexicalOrderedString(m_subGroupNumber))
.arg(Utils::getLexicalOrderedString(m_rank));
}
pappso::Utils::getLexicalOrderedString
static const QString getLexicalOrderedString(unsigned int num)
Definition utils.cpp:74

References pappso::Utils::getLexicalOrderedString(), m_groupNumber, m_rank, and m_subGroupNumber.

## getGroupNumber()

unsigned int GrpProtein::getGroupNumber | ( |  | ) | const

Definition at line 84 of file grpprotein.cpp.

{
return m_groupNumber;
}

References m_groupNumber.

## getRank()

unsigned int GrpProtein::getRank | ( |  | ) | const

Definition at line 95 of file grpprotein.cpp.

{
return m_rank;
}

References m_rank.

## getSubGroupNumber()

unsigned int GrpProtein::getSubGroupNumber | ( |  | ) | const

Definition at line 90 of file grpprotein.cpp.

{
return m_subGroupNumber;
}

References m_subGroupNumber.

## operator==()

bool GrpProtein::operator== | ( | const GrpProtein & | other | ) | const

Definition at line 112 of file grpprotein.cpp.

{
return (m_accession == other.m_accession);
}

References m_accession.

## push_back()

void GrpProtein::push_back | ( | GrpPeptide * | p_grpPeptide | ) |

Definition at line 129 of file grpprotein.cpp.

{
// p_grpPeptide->push_back(this);
m_grpPeptidePtrList.push_back(p_grpPeptide);
}

References m_grpPeptidePtrList.

## setGroupNumber()

void GrpProtein::setGroupNumber | ( | unsigned int | i | ) |

Definition at line 154 of file grpprotein.cpp.

{
m_groupNumber = i;
}

References m_groupNumber.

## setRank()

void GrpProtein::setRank | ( | unsigned int | i | ) |

Definition at line 149 of file grpprotein.cpp.

{
m_rank = i;
}

References m_rank.

## setSubGroupNumber()

void GrpProtein::setSubGroupNumber | ( | unsigned int | i | ) |

Definition at line 78 of file grpprotein.cpp.

{
m_subGroupNumber = i;
}

References m_subGroupNumber.

## strip()

void GrpProtein::strip | ( |  | ) |

protected

ensure that each peptide in peptide list is unique and sorted by pointer adress

Definition at line 136 of file grpprotein.cpp.

{
qDebug() << "GrpProtein::strip begin " << this->m_accession;
// m_grpPeptidePtrList.sort();
std::sort(m_grpPeptidePtrList.begin(), m_grpPeptidePtrList.end());
// m_grpPeptidePtrList.unique();
m_grpPeptidePtrList.erase(
std::unique(m_grpPeptidePtrList.begin(), m_grpPeptidePtrList.end()),
m_grpPeptidePtrList.end());
qDebug() << "GrpProtein::strip end";
}

References m_accession, and m_grpPeptidePtrList.

## Friends And Related Symbol Documentation

## GrpExperiment

friend class GrpExperiment

friend

Definition at line 41 of file grpprotein.h.

## Member Data Documentation

## m_accession

const QString pappso::GrpProtein::m_accession

private

Definition at line 80 of file grpprotein.h.

Referenced by getAccession(), operator==(), and strip().

## m_count

unsigned int pappso::GrpProtein::m_count = 0

private

Definition at line 85 of file grpprotein.h.

Referenced by GrpProtein(), countPlus(), and getCount().

## m_description

const QString pappso::GrpProtein::m_description

private

Definition at line 81 of file grpprotein.h.

Referenced by getDescription().

## m_groupNumber

unsigned int pappso::GrpProtein::m_groupNumber = 0

private

Definition at line 82 of file grpprotein.h.

Referenced by GrpProtein(), getGroupingId(), getGroupNumber(), and setGroupNumber().

## m_grpPeptidePtrList

std::vector<GrpPeptide *> pappso::GrpProtein::m_grpPeptidePtrList

protected

Definition at line 77 of file grpprotein.h.

Referenced by begin(), end(), push_back(), and strip().

## m_rank

unsigned int pappso::GrpProtein::m_rank = 0

private

Definition at line 84 of file grpprotein.h.

Referenced by GrpProtein(), getGroupingId(), getRank(), and setRank().

## m_subGroupNumber

unsigned int pappso::GrpProtein::m_subGroupNumber = 0

private

Definition at line 83 of file grpprotein.h.

Referenced by GrpProtein(), getGroupingId(), getSubGroupNumber(), and setSubGroupNumber().

The documentation for this class was generated from the following files:

- pappsomspp/grouping/grpprotein.h
- pappsomspp/grouping/grpprotein.cpp